﻿<UserControl x:Class="CMS.Views.SaleUnitView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:dxe="http://schemas.devexpress.com/winfx/2008/xaml/editors"
             xmlns:dxb="http://schemas.devexpress.com/winfx/2008/xaml/bars"
             xmlns:dxr="http://schemas.devexpress.com/winfx/2008/xaml/ribbon"
             xmlns:dxlc="http://schemas.devexpress.com/winfx/2008/xaml/layoutcontrol"
             xmlns:dxmvvm="http://schemas.devexpress.com/winfx/2008/xaml/mvvm"
             xmlns:viewModel="clr-namespace:CMS.ViewModels"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:dxg="http://schemas.devexpress.com/winfx/2008/xaml/grid"
             mc:Ignorable="d" d:DesignHeight="400" d:DesignWidth="600" DataContext="{dxmvvm:ViewModelSource viewModel:SaleUnitViewModel}">
    <UserControl.Resources>
        <ResourceDictionary Source="../../Resources/EntityViewResources.xaml" />
    </UserControl.Resources>
    <DockPanel Style="{StaticResource EntityView.RootContainer}">
        <dxr:RibbonControl DockPanel.Dock="Top" Style="{StaticResource EntityView.RibbonControl}" ShowApplicationButton="False" ToolbarShowMode="Hide">
            <dxr:RibbonDefaultPageCategory>
                <dxr:RibbonPage Style="{StaticResource EntityView.RibbonPage}">
                    <dxr:RibbonPageGroup Style="{StaticResource EntityView.RibbonPageGroup.Main}">
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Save}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.SaveAndClose}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.SaveAndNew}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Reset}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Delete}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.Close}" />
                    </dxr:RibbonPageGroup>
                    <dxr:RibbonPageGroup Style="{StaticResource EntityView.RibbonPageGroup.Layout}">
                        <dxb:BarCheckItem Style="{StaticResource EntityView.Command.Customize}" IsChecked="{Binding IsCustomization, ElementName=layoutControl}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.SaveLayout}" />
                        <dxb:BarButtonItem Style="{StaticResource EntityView.Command.ResetLayout}" />
                    </dxr:RibbonPageGroup>
                </dxr:RibbonPage>
            </dxr:RibbonDefaultPageCategory>
        </dxr:RibbonControl>
        <dxr:RibbonStatusBarControl DockPanel.Dock="Bottom" Style="{StaticResource EntityView.RibbonStatusBar}" />
        <dxlc:LayoutControl x:Name="layoutControl" Style="{StaticResource EntityView.LayoutControl}">
            <dxlc:DataLayoutItem x:Name="layoutItemQuantity" Label="Quantity" >
                <dxe:SpinEdit      HorizontalContentAlignment="Left"
                                   MinValue="0" 
                                   Mask="d0"
                                   Increment="1"
                                   EditValue="{Binding Entity.Quantity, UpdateSourceTrigger=PropertyChanged , ValidatesOnDataErrors=True , Converter={StaticResource SpinEditValueToInt}}"/>
            </dxlc:DataLayoutItem>
            <dxlc:DataLayoutItem x:Name="layoutItemStockItem" Binding="{Binding Entity.StockItem, Mode=OneTime}">
                <dxg:LookUpEdit Style="{StaticResource EntityView.LookUpEdit}" 
                                AutoPopulateColumns="False" 
                                DataContext="{Binding ElementName=layoutControl, Path=DataContext}"
                                EditValue="{Binding Entity.StockItemID, UpdateSourceTrigger=PropertyChanged, ValidatesOnDataErrors=True, NotifyOnSourceUpdated=True}" 
                                ItemsSource="{Binding LookUpStockItems.Entities}" ValueMember="StockItemID" DisplayMember="Name">
                    <dxg:LookUpEdit.StyleSettings>
                        <dxg:SearchLookUpEditStyleSettings />
                    </dxg:LookUpEdit.StyleSettings>
                    <dxg:LookUpEdit.PopupContentTemplate>
                        <ControlTemplate TargetType="ContentControl">
                            <dxg:GridControl x:Name="PART_GridControl" ShowBorder="False" 
                                             ShowLoadingPanel="{Binding LookUpStockItems.IsLoading}" AutoGenerateColumns="None" >
                                <dxg:GridControl.View>
                                    <dxg:TableView   ShowAutoFilterRow="True" AutoWidth="True" />
                                </dxg:GridControl.View>
                                <dxg:GridControl.Columns>
                                    <dxg:GridColumn IsSmart="True" FieldName="StockItemID" />
                                    <dxg:GridColumn IsSmart="True" FieldName="Name" />
                                    <dxg:GridColumn IsSmart="True" FieldName="PurchasePrice" >
                                        <dxg:GridColumn.CellTemplate>
                                            <DataTemplate>
                                                <dxe:TextEdit  Mask="d0" MaskType="Numeric" HorizontalAlignment="Center" EditMode="InplaceActive"  IsReadOnly="True" EditValue="{Binding RowData.Row.PurchasePrice ,Mode=OneWay}" MaskUseAsDisplayFormat="True"/>
                                            </DataTemplate>
                                        </dxg:GridColumn.CellTemplate>
                                    </dxg:GridColumn>
                                    <dxg:GridColumn IsSmart="True" FieldName="SalePrice" >
                                        <dxg:GridColumn.CellTemplate>
                                            <DataTemplate>
                                                <dxe:TextEdit  Mask="d0" MaskType="Numeric" HorizontalAlignment="Center" EditMode="InplaceActive"  IsReadOnly="True" EditValue="{Binding RowData.Row.SalePrice ,Mode=OneWay}" MaskUseAsDisplayFormat="True"/>
                                            </DataTemplate>
                                        </dxg:GridColumn.CellTemplate>
                                    </dxg:GridColumn>
                                </dxg:GridControl.Columns>
                            </dxg:GridControl>
                        </ControlTemplate>
                    </dxg:LookUpEdit.PopupContentTemplate>
                </dxg:LookUpEdit>
            </dxlc:DataLayoutItem>
        </dxlc:LayoutControl>
    </DockPanel>
</UserControl>